Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnException Class Reference

`#include <gnException.h>`

List of all members.

## Public Member Functions
| gnException (const char *const srcFile, const unsigned int srcLine, const char *const function, gnExceptionCode &code, const char *const message)
gnExceptionCode & | GetCode ()
string | GetMessage ()
void | AddCaller (const char *const function)
## Protected Attributes
gnExceptionCode & | m_code
string | m_message
const char *const | m_file
unsigned int | m_line
list< string > | function_trace
## Friends
std::ostream & | operator<< (std::ostream &os, const gnException &gne)

## Constructor & Destructor Documentation

gnException::gnException | ( | const char *const | srcFile,
|  | const unsigned int | srcLine,
|  | const char *const | function,
|  | gnExceptionCode & | code,
|  | const char *const | message
| ) | `[inline]`

| Definition at line 31 of file gnException.h. References AddCaller().

## Member Function Documentation

void gnException::AddCaller | ( | const char *const | function | ) |

| Definition at line 4 of file gnException.cpp. References function_trace. Referenced by gnException().

gnExceptionCode& gnException::GetCode | ( |  | ) | `[inline]`

| Definition at line 19 of file gnException.h.

string gnException::GetMessage | ( |  | ) | `[inline]`

| Definition at line 20 of file gnException.h.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const gnException & | gne
| ) | `[friend]`

| Definition at line 12 of file gnException.cpp.

## Member Data Documentation

list<string> gnException::function_trace`[protected]`

| Definition at line 27 of file gnException.h. Referenced by AddCaller(), and operator<<().

gnExceptionCode& gnException::m_code`[protected]`

| Definition at line 23 of file gnException.h. Referenced by operator<<().

const char* const gnException::m_file`[protected]`

| Definition at line 25 of file gnException.h. Referenced by operator<<().

unsigned int gnException::m_line`[protected]`

| Definition at line 26 of file gnException.h. Referenced by operator<<().

string gnException::m_message`[protected]`

| Definition at line 24 of file gnException.h. Referenced by operator<<().

The documentation for this class was generated from the following files:

- gnException.h
- gnException.cpp